Subject: Re: bug#64533: [PATCH] Support displaying function name in the header line

From: Spencer Baugh <[email-masked]>
Date: Sat, 8 Jul 2023 14:14:30 -0400

On Sat, Jul 8, 2023, 14:04 Eli Zaretskii <[email-masked]> wrote:

> > From: Spencer Baugh <[email-masked]>
> > Date: Sat, 08 Jul 2023 13:56:23 -0400
> >
> > +(defcustom which-func-use-header-line nil
> > +  "If non-nil, display the function name in the header line."
> > +  :type '(choice (const :tag "Display in header line" t)
> > +                 (const :tag "Don't display in header line" nil)))
> > +
> > +(defcustom which-func-use-mode-line t
> > +  "If non-nil, display the function name in the mode line."
> > +  :type '(choice (const :tag "Display in mode line" t)
> > +                 (const :tag "Don't display in mode line" nil)))
>
> Defcustom's should have a :version tag.
>

Will do.

And why 2 separate defcustom's instead of just one?  It looks
> un-economical, and also allows for situations in which the behavior is
> unclear without examining the code.
>

If I had, say, a single defcustom with possible values 'header 'mode and
'both, I would need to add an :eval to mode-line-format to decide whether
to include the function name. I assumed that was undesirable.

Although I could make these current defcustoms into internal variables and
just set them based on a single defcustom, would that be good?

Also, I think this needs a NEWS entry, and the user manual should be
> amended to account for the new optional display.
>

Will do.

> Thanks.